import { OptionalContentConfig, RenderTask } from '../../pdfjs';
import { LayerBuilder } from '../../viewer';
export declare class ThumbnailLayerBuilder extends LayerBuilder {
    private useThumbnailCanvas;
    get thumbnailCanvas(): HTMLCanvasElement | null | undefined;
    canCancel(_keep?: boolean): boolean;
    updateOptionalContentConfig(optionalContentConfig: OptionalContentConfig): void;
    process(): void;
    cancel(): void;
    finish(renderTask: RenderTask): void;
}
